com.rscja.custom

## Class UHFTemperatureSensors

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.mtk.deviceapi.RFIDWithUHFUART_mtk
    - - com.rscja.custom.UHFTemperatureSensors

- All Implemented Interfaces:
    IHandheldRFID, ISingleAntenna, IUHF, IUHFOfAndroidUart

      public class UHFTemperatureSensors
      extends RFIDWithUHFUART_mtk

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `UHFTemperatureSensors.IUHFInventoryTemperatureTagCallback`
    `static class` | `UHFTemperatureSensors.TemperatureTag`

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from class com.rscja.team.mtk.deviceapi.RFIDWithUHFUART_mtk

      `TidLength`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UHFTemperatureSensors` | `getInstance()`
    `UHFTAGInfo` | `inventorySingleTag()` 单步识别标签 Identify tag in single mode
    `UHFTemperatureSensors.TemperatureTag` | `inventorySingleTemperatureTag()`
    `boolean` | `setEPCAndTIDMode()` 设置循环盘点同时读取 EPC、TID 模式 Setup auto scan to acquire EPC, TID mode
    `boolean` | `setEPCAndTIDUserMode(int user_prt, int user_len)` 设置循环盘点同时读取 EPC、TID、USER 模式 Setup auto scan to acquire EPC, TID, User mode
    `boolean` | `setEPCSensorsMode()`
    `void` | `setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 设置盘点回调接口，接收循环盘点到的标签数据 Set the inventory callback interface to receive the label data from the cyclic inventory 备注：需要在开始循环盘点`IUHF.startInventoryTag()`之前调用此方法。 Note: This method needs to be called before starting the loop inventory `IUHF.startInventoryTag()`.
    `void` | `setInventoryCallback(UHFTemperatureSensors.IUHFInventoryTemperatureTagCallback inventoryCallback)`
    `boolean` | `startInventoryTag()` 开始循环识别标签。
    `boolean` | `stopInventory()` 停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程 Stop auto reading, after call this function to exit sub threads of tag data of buffer.

    - ### Methods inherited from class com.rscja.team.mtk.deviceapi.RFIDWithUHFUART_mtk

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getHardwareVersion, getInputStatus, getLBTMode, getPower, getProtocol, getRFLink, getTagLocate, getTemperature, getVersion, init, init, inventorySingleTag, isInventorying, isPowerOn, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDUserMode, setEPCAndUserReservedModeEx, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setLBTMode, setOnLowBatteryListener, setPower, setPowerOnBySystem, setProtocol, setRFLink, setTagFocus, setUart, startInventoryTag, startLocation, startRadarLocation, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfPowerOff_11, uhfPowerOn_11, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static UHFTemperatureSensors getInstance()
                                                   throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### setEPCAndTIDMode

          public boolean setEPCAndTIDMode()

      Description copied from interface: `IUHF`
      设置循环盘点同时读取 EPC、TID 模式
      Setup auto scan to acquire EPC, TID mode
      Specified by:
        `setEPCAndTIDMode` in interface `IUHF`
      Overrides:
        `setEPCAndTIDMode` in class `RFIDWithUHFUART_mtk`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCAndTIDUserMode

          public boolean setEPCAndTIDUserMode(int user_prt,
                                              int user_len)

      Description copied from interface: `IUHF`
      设置循环盘点同时读取 EPC、TID、USER 模式
      Setup auto scan to acquire EPC, TID, User mode
      Specified by:
        `setEPCAndTIDUserMode` in interface `IUHF`
      Overrides:
        `setEPCAndTIDUserMode` in class `RFIDWithUHFUART_mtk`
      Parameters:
        `user_prt` - USER区起始地址(Start addressin USER area)
        `user_len` - USER区长度(Data length in USER area)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCSensorsMode

          public boolean setEPCSensorsMode()

    - #### setInventoryCallback

          public void setInventoryCallback(UHFTemperatureSensors.IUHFInventoryTemperatureTagCallback inventoryCallback)

    - #### setInventoryCallback

          public void setInventoryCallback(IUHFInventoryCallback inventoryCallback)

      Description copied from interface: `IUHF`
      设置盘点回调接口，接收循环盘点到的标签数据
      Set the inventory callback interface to receive the label data from the cyclic inventory
      备注：需要在开始循环盘点`IUHF.startInventoryTag()`之前调用此方法。
      Note: This method needs to be called before starting the loop inventory `IUHF.startInventoryTag()`.
      Specified by:
        `setInventoryCallback` in interface `IUHF`
      Overrides:
        `setInventoryCallback` in class `RFIDWithUHFUART_mtk`
      Parameters:
        `inventoryCallback` - 盘点回调接口(inventory callback interface)

    - #### inventorySingleTag

          public UHFTAGInfo inventorySingleTag()

      Description copied from interface: `IUHF`
      单步识别标签
      Identify tag in single mode
      Specified by:
        `inventorySingleTag` in interface `IUHF`
      Overrides:
        `inventorySingleTag` in class `RFIDWithUHFUART_mtk`
      Returns:
        返回标签信息(return tag infor)

    - #### inventorySingleTemperatureTag

          public UHFTemperatureSensors.TemperatureTag inventorySingleTemperatureTag()

    - #### startInventoryTag

          public boolean startInventoryTag()

      Description copied from interface: `IUHF`

      开始循环识别标签。

      Begin looping through the identification labels.

      通过 `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 这个回调接口获取标签数据，需要在开始盘点之前调用setInventoryCallback方法。

      Get the label data through the callback interface `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)`, you need to call the setInventoryCallback method before starting the inventory.

      备注：开启循环识别标签后模块只能响应`IUHF.stopInventory()`函数 。

      Note: The module can only respond to the `IUHF.stopInventory()` function after the loop identification tag is turned on.

      Specified by:
        `startInventoryTag` in interface `IUHF`
      Overrides:
        `startInventoryTag` in class `RFIDWithUHFUART_mtk`
      Returns:
        true:成功(success) false:失败(failure)

    - #### stopInventory

          public boolean stopInventory()

      Description copied from interface: `IUHF`
      停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程
      Stop auto reading, after call this function to exit sub threads of tag data of buffer.
      Specified by:
        `stopInventory` in interface `IUHF`
      Overrides:
        `stopInventory` in class `RFIDWithUHFUART_mtk`
      Returns:
        true:成功(success) false:失败(failure)